Bug 150474 - Sendmail not allowed to access /dev/[u]random
Sendmail not allowed to access /dev/[u]random
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sendmail (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 09:31 EST by Richard Allen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: u2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-12 14:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2005-03-07 09:31:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
From /var/log/messages

Mar  7 08:33:47 babylon5 kernel: audit(1110184427.714:0): avc:  denied
 { read } for  pid=1250 exe=/usr/sbin/sendmail.sendmail name=urandom
dev=tmpfs ino=437 scontext=root:system_r:system_mail_t
tcontext=system_u:object_r:urandom_device_t tclass=chr_file

Mar  7 08:33:47 babylon5 kernel: audit(1110184427.714:0): avc:  denied
 { read } for  pid=1250 exe=/usr/sbin/sendmail.sendmail name=random
dev=tmpfs ino=435scontext=root:system_r:system_mail_t
tcontext=system_u:object_r:random_device_t tclass=chr_file

Im thinking this has to do with TLS.  As we all know, good random
numbers greatly enhance quality here so I think this should be fixed soon.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run sendmail with SELinux enabled
2. See /var/log/messages    

Additional info:
Comment 1 Daniel Walsh 2005-03-18 15:10:10 EST
selinux-policy-targeted-1.17.30-2.90 in FC3 has a fix for this.  I will move to
get this into U2.

Note You need to log in before you can comment on or make changes to this bug.